net.sf.okapi.lib.segmentation

## Class LanguageMap

- java.lang.Object
- - net.sf.okapi.lib.segmentation.LanguageMap

-     public class LanguageMap
      extends java.lang.Object

  Stores the data for an SRX <languagemap> map element

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `pattern` The pattern of this language map.
    `protected java.lang.String` | `ruleName` The name of this language map.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageMap()` Creates an empty LanguageMap object.
    `LanguageMap(java.lang.String pattern, java.lang.String ruleName)` Creates a LanguageMap object with a given pattern and a given name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPattern()` Gets the pattern associated to this language map.
    `java.lang.String` | `getRuleName()` Gets the name of this language map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          protected java.lang.String pattern

      The pattern of this language map.

    - #### ruleName

          protected java.lang.String ruleName

      The name of this language map.

  - ### Constructor Detail

    - #### LanguageMap

          public LanguageMap()

      Creates an empty LanguageMap object.

    - #### LanguageMap

          public LanguageMap(java.lang.String pattern,
                             java.lang.String ruleName)

      Creates a LanguageMap object with a given pattern and a given name.
      Parameters:
        `pattern` - the pattern for the new language map.
        `ruleName` - the name of the new language map.

  - ### Method Detail

    - #### getPattern

          public java.lang.String getPattern()

      Gets the pattern associated to this language map.
      Returns:
        the pattern associated to this language map.

    - #### getRuleName

          public java.lang.String getRuleName()

      Gets the name of this language map.
      Returns:
        the name of this languag emap.